#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

$config=$config{'proscan_conf'};
&lock_file($config);

$proscan_conf = get_config();
$proscan_conf->{$gr_name}{'smtpscan.filter'}{'order'} = $order unless $proscan_conf->{$gr_name}{'smtpscan.filter'}{'order'};

$flt=$in{'subject'};
$flt=get_textarea_list($flt,",");
$proscan_conf->{$gr_name}{'smtpscan.filter'}{'content'}{'BySubject'}=$flt;

$flt=$in{'fname'};
$flt=get_textarea_list($flt,",");
$proscan_conf->{$gr_name}{'smtpscan.filter'}{'content'}{'ByFilename'}=$flt;

$flt=$in{'size'};
$proscan_conf->{$gr_name}{'smtpscan.filter'}{'content'}{'BySize'}=$flt;

$flt=$in{'mime'};
$flt=get_textarea_list($flt,",");
$proscan_conf->{$gr_name}{'smtpscan.filter'}{'content'}{'ByMIMEtype'}=$flt;

$flt=$in{'header'};
$flt=get_textarea_list($flt,",");
$proscan_conf->{$gr_name}{'smtpscan.filter'}{'content'}{'ByHeader'}=$flt;

&put_config($proscan_conf);
&unlock_file($config);
&redirect("group_flt_edit.cgi?grp_id=$in{'grp_id'}");
