#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';
require './jcode.pl';

&ReadParse();
$gr_name = $in{'grp_id'};
$notify_sect = $in{'notify_sect'};

$config=$config{'proscan_conf'};
&lock_file($config);

$proscan_conf = get_config();
$proscan_conf->{$gr_name}{$notify_sect}{'order'} = $order unless $proscan_conf->{$gr_name}{$notify_sect}{'order'};

$subject = $in{'n_subj'};
jcode::convert(\$subject,'euc');
$proscan_conf->{$gr_name}{$notify_sect}{'content'}{'Subject'}=$subject;
$proscan_conf->{$gr_name}{$notify_sect}{'content'}{'Charset'}=$in{'n_chrset'};
$proscan_conf->{$gr_name}{$notify_sect}{'content'}{'ContentType'}=$in{'n_type'};
$proscan_conf->{$gr_name}{$notify_sect}{'content'}{'Template'}=$in{'n_templ'};

&put_config($proscan_conf);
&unlock_file($config);

if( exists($in{'templ_edit'}) ){
	&redirect("template_edit.cgi?grp_id=$gr_name&notify_sect=$notify_sect");
} else {
	&redirect("group_notify_edit.cgi?grp_id=$gr_name&notify_sect=$notify_sect");
}

