#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

# check for the Proscan config file
$proscan_config=$config{'proscan_conf'};
if (!-e $proscan_config) {
	# still doesn't exist!
	&header($text{'index_title'}, "", undef, 1, 1);
	print "<hr><p>\n";
	print &text('index_econf', "<tt>$proscan_config</tt>",
		    "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
	print "<hr>\n";
	&footer("/", $text{'index'});
	exit;
	}


#generate link table
&header($text{'index_title'}, "", "help", 1, 1);
print "<br>\n";
@icons=("images/icon1.jpg",
	"images/icon2.jpg",
	"images/icon3.jpg",
	"images/icon4.jpg",
	"images/icon5.jpg",
	"images/icon6.jpg",
	"images/icon7.jpg",
	"images/icon8.jpg",
	"images/icon.gif",
	"images/icon9.jpg");

@names=($text{'index_mod_general'},
	$text{'index_mod_server'},
	$text{'index_mod_updater'},
	$text{'index_mod_scanner'},
	$text{'index_mod_mail'},
	$text{'index_mod_keys'},
	$text{'index_mod_run'},
	$text{'index_mod_conf'},
	$text{'index_mod_about'},
	$text{'index_mod_reload'});

@links=("general_edit.cgi",
	"ave_edit.cgi",
	"updater_edit.cgi",
	"file_scan_edit.cgi",
	"mail_scan_index.cgi",
	"key_view.cgi",
	"module_list.cgi",
	"conf_edit.cgi",
	"about.cgi",
	"conf_reload.cgi");

icons_table(\@links,\@names,\@icons);

print "<br>\n";
print "<table width=100%><tr>";
print qq(<td align=left><a href="http://www.promark-inc.com/proscan.html" target="_blank"><img src="images/logo.gif" border=0></a></td>);
print qq(<td align=center><small>ProScan Webmin modules Ver. $text{'version'}</small></td>);
print qq(<td align=right><a href="http://www.promark-inc.com/" target="_blank"><img src="images/promark.gif" width=164 height=39 border=0></a></td>);
print "</tr></table>\n";
print "<br>\n";
&footer("/", $text{'index'});

