#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&unlock_file($proscan_config_file);
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

if( exists($in{'sub_prop'}) ){
	&unlock_file($proscan_config_file);
	&redirect("group_index.cgi?grp_id=$in{'grp_id'}");
} elsif( exists($in{'sub_del'}) ) {
	delete $proscan_conf->{"$gr_name"};
	@new_group_list = ();
	foreach $grp (@group_list) {
	    push(@new_group_list,$grp) if $grp ne $gr_name;
	}
	@group_list = @new_group_list;
} elsif( exists($in{'sub_grp_up.x'}) ) {
        # wO[v̏ԂAbv
	$i=0;
	foreach $grp (@group_list){
		if( $grp eq $gr_name){
		    last if $i == 0;
		    $g = $group_list[$i-1];
		    $group_list[$i-1] = $grp;
		    $group_list[$i] = $g;
		    last;
		}
		$i++;
	}
} elsif( exists($in{'sub_grp_down.x'}) ) {
        # wO[v̏Ԃ_E
	$i=0;
	foreach $grp (@group_list){
		if( $grp eq $gr_name){
		    last if $i == $#group_list;
		    $g = $group_list[$i+1];
		    $group_list[$i+1] = $grp;
		    $group_list[$i] = $g;
		    last;
		}
		$i++;
	}
}

&put_config($proscan_conf);
&unlock_file($proscan_config_file);

&redirect("mailscan_grp_list.cgi");

