#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

$c_id=$in{'c_id'};
$extra=$in{'extra'};

$proscan_conf = get_config();

if( exists($in{'sub_start'}) ){
	$log_offset = get_log_offset($proscan_conf->{'common'}{$binaries[$c_id]{log_sec}}{"content"}{$binaries[$c_id]{log_name}},"yes");
#	    $proscan_conf->{'common'}{$binaries[$c_id]{log_sec}}{"content"}{$binaries[$c_id]{log_append}});
	if ($pid = fork) {
    		# parent catches INT and berates user
		#local $SIG{INT} = sub { print "Tsk tsk, no process interruptus\n" };
		$SIG{CHLD} = 'IGNORE';
		sleep(4);
		&redirect("module_log.cgi?c_id=$c_id&offset=$log_offset");
	} else {
    		die "cannot fork: $!" unless defined $pid;
		if ($pid = fork) {
    			# parent catches INT and berates user
		    	#local $SIG{INT} = sub { print "Tsk tsk, no process interruptus\n" };
			#$SIG{CHLD} = 'IGNORE';
			set_run_info($c_id, $pid, 0, $log_offset);
			waitpid($pid, 0);
			set_run_info($c_id, -1, $?, $log_offset);
			exit;
		} else {
    			die "cannot fork: $!" unless defined $pid;
			# child ignores INT and does its thing
    			#$SIG{INT} = "IGNORE";
			$path = $config{'tmp_exec_path'};
			$path =~s/\/$//;
			$out_file = $path."/".$binaries[$c_id]{disp};
			$cmd_str = $binaries[$c_id]{start_cmd}." ".$binaries[$c_id]{extra_cmd}." $extra ";
			exec($cmd_str)             or die "Can't exec: $! ($cmd_str)\n";
    		exit;
		}
	}
}

if( exists($in{'sub_stop'}) ){
	$old_pid = check_pid($c_id);
	if( $old_pid ){
		kill( 15, $old_pid);
	}
	&redirect("module_list.cgi");
	exit;
}

if( exists($in{'sub_redir'}) ){
	&redirect($in{'redir'}."?c_id=$c_id");
	exit;
}

if( exists($in{'sub_rpt'}) ){
	$offcet = $in{'offcet'};
	&redirect("module_log.cgi?c_id=$c_id&offcet=$offcet");
	exit;
}

&redirect("module_log.cgi?c_id=$c_id");
