#!/usr/bin/perl
# index.cgi
# Display a list of all ProScan Anti-Virus for Mailserver settings
require './proscan-lib.pl';


&header($text{"module_list_title"}, "");

if (!-d $config{'tmp_exec_path'} ) {
	print "<br><p>\n";
	print &text('component_list_etmp', "<tt>$config{'tmp_exec_path'}</tt>",
		    "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
	print "<br>\n";
	&footer("", $text{'index_return'});
	exit;
}

foreach $i (0 .. 2) {
	if (!-e $binaries[$i]{bin} || !-x $binaries[$i]{bin}) {
		print "<br><p>\n";
		print &text('module_list_ebin', "<tt>$binaries[$i]{name}</tt>",
			    "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
		print "<br>\n";
		&footer("", $text{'index_return'});
		exit;
	}
}


$proscan_conf = get_config();

print "<br>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td valign=top>\n";


print "<table  border=0 cellspacing=1 cellpadding=3 width=100% bgcolor=#FFFFFF>\n";
print "	<tr $tb>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'module_list_name'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'module_list_descr'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'module_list_run'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'module_list_status'}</b></font></td>\n";
print "		<td align=center><font color=#FFFFFF face=Arial size=-1><b>$text{'module_list_act'}</b></font></td>\n";
print "	</tr>\n";

$config_path = "-c $config{'proscan_conf'}";

foreach $i (0 .. 2) {
	@status = get_run_info($i);
	if( @status )
	{
		$pid = $status[0];
		$log_offset = $status[3];
		if($status[1]==-1){
			$status_string = "<nobr>Last running: $status[2]</nobr><br>Exit code: Not available";
		}else{
			$exit_value  = $status[1] >> 8;
			$error_string = $binaries[$i]{errors}{$exit_value};
			$status_string = "<nobr>Last running: $status[2]</nobr><br>Exit code: $exit_value($error_string)";
		}
	}else{
		$status_string = "Status unknown";
		$pid = -1;
		$log_offcet = -1;
	}
	print "	<tr $section_row_bgcolor>\n";
	print "	<form method=POST action=module_act.cgi>\n";
	print "	<input type=hidden name=c_id value=\"$i\">\n";
	print "	<input type=hidden name=extra value=\"$config_path\">\n";
	print "	<input type=hidden name=offset value=\"$log_offset\">\n";
	print "		<td><a href=$binaries[$i]{cfg}>$binaries[$i]{name}</a></td>\n";
	print "		<td>$binaries[$i]{descr}</td>\n";
print "<!-- $binaries[0]{proscanav_pid_dir} -->\n";
	if ( $i == 0 ) {
	    opendir(DIR,"$binaries[0]{proscanav_pid_dir}");
	    @DIR = readdir(DIR);
	    foreach(@DIR) {
	        if ( /savapi_(\d+)\.PID/ ) {
	            $check_stat = $1;
	        }
	    }
	} else {
  	    $check_stat = check_pid($i);
  	}
	if( $check_stat>0 ){
		print "		<td align=center><font color=#00ff00>Yes</font></td>\n";
		print "		<td>$status_string</td>\n";
		print "		<td nowrap>\n";
		print "			&nbsp;<input type=submit name=sub_stop value=\"Stop\">\n";
		print "			&nbsp;<input type=submit name=sub_rpt value=\"Show log\">&nbsp;\n";
		print "		</td>\n";
	}elsif( $check_stat==-1 ){
		print "		<td align=center><font color=#ff0000>Error</font></td>\n";
		print "		<td>$status_string</td>\n";
		print "		<td nowrap>\n";
		print "			&nbsp;<input type=submit name=sub_stop value=\"Stop\">\n";
		print "			&nbsp;<input type=submit name=sub_rpt value=\"Show log\">&nbsp;\n";
		print "		</td>\n";
	} else {
		print "		<td align=center><font color=#0000ff>No</font></td>\n";
		print "		<td>$status_string</td>\n";
		print "		<td nowrap>\n";
		if( !exists($binaries[$i]{start_redir}) ){
			print "			&nbsp;<input type=submit name=sub_start value=\"Start\">&nbsp;\n";
		} else {
			print "			<input type=hidden name=redir value=\"$binaries[$i]{start_redir}\">\n";
			print "			&nbsp;<input type=submit name=sub_redir value=\"Start\">&nbsp;\n";
		}
		print "			&nbsp;<input type=submit name=sub_rpt value=\"Show log\">&nbsp;\n";
		print "		</td>\n";
	}
	print "	</form>\n";
	print "	</tr>\n";
}
print "</table>\n";


print "</table>\n";

print "<br>\n";
&footer("", $text{'index_return'});

