#!/bin/sh
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
export PATH

# OS type check
OS=`uname`

if [ "$OS" = "Linux" ]
then
    PID=`ps ax|egrep (proscanms|proscanlm)|grep -v grep|awk '{print $1}'`
elif [ "$OS" = "SunOS" ]
then
    PID=`ps -ef|egrep (proscanms|proscanlm)|grep -v grep|awk '{print $2}'`
elif [ "$OS" = "FreeBSD" -o "$OS" = "NetBSD" -o "$OS" = "OpenBSD" ]
then
    PID=`ps ax|egrep (proscanms|proscanlm)|grep -v grep|awk '{print $1}'`
fi

kill -USR1 $PID
