#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&header($text{'updater_title'}, "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=GET action=updater_save.cgi>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td width=50% valign=top>\n";

print_table_header($text{"updater_opt_sec"},"#updater_opt");

print "		<tr $section_row_bgcolor><td nowrap colspan=2>\n";
print_opt_name($text{"updater_server_url"});
print "		</td></tr>\n";
print "		<tr $section_row_bgcolor><td></td><td width=100%>\n";

$host = lc($proscan_conf->{'common'}{'updater.options'}{'content'}{'UpdateHost'});
$host = "update3.promark-inc.com" unless $host;
@hosts = split(/,/,$host);
$prot = lc($proscan_conf->{'common'}{'updater.options'}{'content'}{'UpdateProtocol'});
$prot = "http" unless $prot;
$port = $proscan_conf->{'common'}{'updater.options'}{'content'}{'UpdatePort'};
foreach $host (@hosts) {
  if($port) {
    $url = sprintf("%s://%s:%d",$prot,$host,$port);
  } else {
    $url = sprintf("%s://%s",$prot,$host);
  }
  push(@URL,$url);
}
$url = join(",",@URL);
print_editbox("u_url",60,$url);
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap colspan=2>\n";
print_opt_name($text{"updater_extra_opt"});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td></td><td width=100%>\n";
print_editbox("u_extra",60,$proscan_conf->{'common'}{'updater.options'}{'content'}{'ExtraWgetOptions'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap colspan=2>\n";
print_opt_name($text{"updater_proxy_opt"});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td></td><td width=100%>\n";
print "Host:";
print_editbox("u_proxy_server",50,$proscan_conf->{'common'}{'updater.options'}{'content'}{'HTTPProxyServer'});
print "Port:";
print_editbox("u_proxy_port",10,$proscan_conf->{'common'}{'updater.options'}{'content'}{'HTTPProxyPort'});
print "		</td></tr>\n";

&print_main_element($text{"updater_silent"}, "u_silent", $proscan_conf->{'common'}{'updater.options'}{'content'}{'KeepSilent'});
&print_main_element($text{"updater_reload"}, "u_reload", $proscan_conf->{'common'}{'updater.options'}{'content'}{'ReloadApplication'});
&print_main_element($text{"updater_external"}, "u_external", $proscan_conf->{'common'}{'updater.options'}{'content'}{'ShowExternalCmdOutput'});

print "		<tr $section_row_bgcolor><td nowrap colspan=2>\n";
print_opt_name($text{"updater_s25r_url"});
print "		</td></tr>\n";
print "		<tr $section_row_bgcolor><td></td><td width=100%>\n";
print_editbox("s25r_url",60,$proscan_conf->{'common'}{"updater.options"}{'content'}{'S25RWhiteListUrl'});
print "		</td></tr>\n";

print_table_footer();

print "</td><td width=10 valign=top>\n";
print "<img src=\"images/null.gif\" width=10 height=1>\n";
print "</td><td width=50% valign=top>\n";

print_table_header($text{"updater_report_sec"},"#updater_report");

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"updater_log_file"});
print "		</td><td align=right>\n";
print_editbox("r_file",40,$proscan_conf->{'common'}{'updater.report'}{'content'}{'ReportFileName'});
print "		</td><td width=100%>\n&nbsp;", &file_chooser_button("r_file", 0);
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"updater_log_level"});
print "		</td><td align=left colspan=2>\n";
$level = $proscan_conf->{'common'}{'updater.report'}{'content'}{'ReportLevel'};
#print "level=$level<br>\n";
print_bit_checkbox($text{"log_level_1"},"loglevel",$level,1);
print "<br>\n";
print_bit_checkbox($text{"log_level_2"},"loglevel",$level,2);
print "<br>\n";
print_bit_checkbox($text{"log_level_4"},"loglevel",$level,4);
print "<br>\n";
print_bit_checkbox($text{"log_level_128"},"loglevel",$level,128);
print "<br>\n";
print_bit_checkbox($text{"log_level_8192"},"loglevel",$level,8192);
print "<br>\n";
print "		</td></tr>\n";

print_table_footer();

print "</td></tr>\n";
print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save>\n";
print "</form>\n";


print "<br>\n";
&footer("", $text{'index_return'});


sub print_main_element(){
	my($txt, $var, $val)=@_;
	print "		<tr $section_row_bgcolor><td>\n";
	print_checkbox($var, $val);
	print "		</td><td nowrap width=100%>\n";
	print_opt_name($txt);
	print "		</td></tr>\n";
}
