#!/usr/bin/perl
# about.cgi
# Display a list of all ProScan Anti-Virus for MailServer settings
require './proscan-lib.pl';
@modules = ( 'proscan','proscanms','qmail-queue','proscanfs','proscanup','licenseviewer' );
&header($text{'about_title'}, "");
print qq(<br>\n);
print qq(ProScan Anti-Virus for Mailserver Version 6<br>\n);
print qq(<hr>\n);
print qq($text{'about_module'}<br>\n);
print qq(<table cellpadding=2 border=1>\n);
print qq(<tr><th>$text{'about_module_name'}</th><th>$text{'about_module_version'}</th></tr>\n);
foreach $mod (@modules) {
    ($bin_dir) = $config{'proscan_path'} =~ /(.*)\//;
    $mod_bin = "$bin_dir/$mod";
    print qq(<!-- $mod_bin -->\n);
    open(CMD,"$mod_bin -v|");
    while(<CMD>) {
        chomp;
        print qq(<!-- $_ -->\n);
        if(/ProScan/) {
            ($version) = /Ver.(\d+\.\d+\.\d+\.\d+)/;
            print qq(<tr><td>$mod</td><td>$version</td></tr>\n);
            last;
        }
    }
    close(CMD);
}
$mod_bin = "$config{'ave_path'}";
open(CMD,"$mod_bin --version|");
$version = <CMD>;
chomp($version);
$version = "";
$n = 0;
while(<CMD>) {
    chomp;
    $version .= "$_<br>";
    $n++;
    last if $n == 5;
}

print qq(<tr><td>savapi</td><td>$version</td></tr>\n);
print qq(</table>\n);
print qq(<hr>\n);
print qq($text{'about_message'}<br>\n);
print qq(<table cellpadding=10>\n);
print qq(<tr><td>Web site</td><td><a href="http://www.promark-inc.com/index.html" target="_blank">www.promark-inc.com</a></td></tr>\n);
print qq(<tr><td>Technical support</td><td><a href="mailto:support\@promark-inc.com">support\@promark-inc.com</a></td></tr>\n);
print qq(<tr><td>Salse</td><td><a href="mailto:salse\@promark-inc.com">salse\@promark-inc.com</a></td></tr>\n);
print qq(</table>\n);
print qq(<br>\n);
&footer("", $text{'index_return'});
