#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

$proscan_config=$config{'proscan_conf'};
&lock_file($proscan_config);

$proscan_conf = get_config();

if( exists($in{'sub_edit'}) ){
	&unlock_file($proscan_config);
	&redirect("domain_edit.cgi");
} elsif( exists($in{'sub_save'}) ) {
	$proscan_conf->{'common'}{'path'}{"order"} = $order unless $proscan_conf->{'common'}{'path'}{"order"};
	$proscan_conf->{'common'}{'path'}{"content"}{'LicensePath'}=$in{'keys_path'};
	$proscan_conf->{'common'}{'path'}{"content"}{'LocalSocketPath'}=$in{'lsoc_path'};
	$proscan_conf->{'common'}{'path'}{"content"}{'TempPath'}=$in{'tmp_path'};
	$proscan_conf->{'common'}{'path'}{"content"}{'UserFile'}=$in{'usr_file'};
	$proscan_conf->{'common'}{'path'}{"content"}{'WgetPath'}=$in{'wget_file'};
	$proscan_conf->{'common'}{'path'}{"content"}{'DomainList'}=$in{'domain_file'};
	
	#%y=YY, %Y=YYYY, %d=DD, %m=MM, %H=hh(24), %I=hh(pm/am) %M=mm, %S=ss, %P(p)=pm/am(PM/AM)
	#set date
	$proscan_conf->{'common'}{'locale'}{"content"}{'DateFormat'}=$in{'d_fmt'};
	#set time
    	$proscan_conf->{'common'}{'locale'}{"content"}{'TimeFormat'}=$in{'t_fmt'};

    	&put_config($proscan_conf);
    	&unlock_file($proscan_config);
    	&redirect("general_edit.cgi");
}

