#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

&header(text("group_main_title","$in{'grp_id'}"), "");

$proscan_conf = get_config();

@notify_internal = (
	 {type => "sender", name => $text{'notify_internal_sender'}},
	 {type => "recipient", name => $text{'notify_internal_recipient'}},
	 {type => "both", name => $text{'notify_internal_both'}},
	 {type => "none", name => $text{'notify_internal_none'}},
);

print "<br>\n";
print "<form method=POST action=group_main_save.cgi>\n";
print "<input type=hidden name=grp_id value=\"$in{'grp_id'}\">\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0>\n";
print "<tr><td colspan=3 valign=top>\n";

print_table_header($text{"group_gnrl_sec"},"#groups_main_gnrl");

&print_check_element($text{"group_check"}, "g_check", $proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'Check'});
print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_admin_addr"});
print "		</td><td colspan=2>\n";
print_editbox("g_admin",50,$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'AdminAddress'});
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";


print "<tr><td colspan=3 valign=top><br>\n";
print_table_header($text{"group_domain_sec"},"#groups_main_domain");

print "		<tr $section_row_bgcolor><td colspan=3>\n";
print "		<textarea rows=8 cols=50 name=domains>\n";
$dom=$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'Domains'};
$dom=~s/,/\n/g;
print $dom;
print "</textarea>\n";
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";


print "<tr><td width=50% valign=top><br>\n";
print_table_header($text{"group_sndr_sec"},"#groups_main_sndr");
print "		<tr $section_row_bgcolor><td>\n";
print "		<textarea rows=8 cols=50 name=sndr_mask>\n";
$sndr=$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'Senders'};
$sndr=~s/,/\n/g;
print $sndr;
print "</textarea>\n";
print "		</td></tr>\n";
print_table_footer();

print "</td><td width=10 valign=top>\n";
print "<img src=\"images/null.gif\" width=10 height=1>\n";
print "</td><td width=50% valign=top><br>\n";
print_table_header($text{"group_rcpt_sec"},"#groups_main_rcpt");
print "		<tr $section_row_bgcolor><td>\n";
print "		<textarea rows=8 cols=50 name=rcpt_mask>\n";
$rcpt=$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'Recipients'};
$rcpt=~s/,/\n/g;
print $rcpt;
print "</textarea>\n";
print "		</td></tr>\n";
print_table_footer();
print "</td></tr>\n";

print "<tr><td colspan=3 valign=top><br>\n";
print_table_header($text{"group_user_sec"},"#groups_main_domain");

print "		<tr $section_row_bgcolor><td colspan=3>\n";
print_editbox("user_file",50,$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{'Users'});
print "		&nbsp;", &file_chooser_button("user_file", 0);
print "		&nbsp;<input type=submit value=Edit name=sub_edit>\n";
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save name=sub_save>\n";
print "</form>\n";


print "<br>\n";
&footer("group_index.cgi?grp_id=$in{'grp_id'}", $text{'group_return'});


sub print_check_element(){
	my($txt, $var, $val)=@_;
	print "		<tr $section_row_bgcolor><td nowrap>\n";
	print_opt_name($txt);
	print "		</td><td nowrap width=100% colspan=2>\n";
	print_checkbox($var, $val);
	print "		</td></tr>\n";
}

