#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

$proscan_conf = get_config();

&ReadParse();

$gr_name=$in{'grp_id'};
$notify_sect = $in{'notify_sect'};

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

if( !(exists($in{'notify_sect'})&& $in{'notify_sect'} ne "") ){
	&redirect("group_notify_list.cgi");
}

@section = split(/\./,$notify_sect);
if(@section == 2) {
    $name = $text{'group_notify_default'};
} elsif (@section == 3) {
    if($section[2] eq 'admin') {
    	$name = "$notify_user[0]{'name'}";
    } elsif($section[2] eq 'recipient') {
    	$name = "$notify_user[1]{'name'}";
    } elsif($section[2] eq 'sender') {
    	$name = "$notify_user[2]{'name'}";
    } elsif($section[2] eq 'infected') {
    	$name = "$notify_type[0]{'name'}";
    } elsif($section[2] eq 'other') {
    	$name = "$notify_type[1]{'name'}";
    } elsif($section[2] eq 'suspicious') {
    	$name = "$notify_type[2]{'name'}";
    } elsif($section[2] eq 'filtered') {
    	$name = "$notify_type[3]{'name'}";
    } elsif($section[2] eq 'error') {
    	$name = "$notify_type[4]{'name'}";
    } elsif($section[2] eq 'protected') {
    	$name = "$notify_type[5]{'name'}";
    }
    $name .= $text{'group_notify_default'};
} elsif (@section == 4) {
    if($section[2] eq 'admin') {
    	$uname = "$notify_user[0]{'name'}";
    } elsif($section[2] eq 'recipient') {
    	$uname = "$notify_user[1]{'name'}";
    } elsif($section[2] eq 'sender') {
    	$uname = "$notify_user[2]{'name'}";
    }
    if($section[3] eq 'infected') {
    	$tname = "$notify_type[0]{'name'}";
    } elsif($section[3] eq 'other') {
    	$tname = "$notify_type[1]{'name'}";
    } elsif($section[3] eq 'suspicious') {
    	$tname = "$notify_type[2]{'name'}";
    } elsif($section[3] eq 'filtered') {
    	$tname = "$notify_type[3]{'name'}";
    } elsif($section[3] eq 'error') {
    	$tname = "$notify_type[4]{'name'}";
    } elsif($section[3] eq 'protected') {
    	$tname = "$notify_type[5]{'name'}";
    }
    $name = "$uname($tname)";
}

&header(text("group_notify_opt_title", $name), "");

print "<br>\n";
print "<form method=POST action=group_notify_save.cgi>\n";
print "<input type=hidden name=grp_id value=\"$in{'grp_id'}\">\n";
print "<input type=hidden name=notify_sect value=\"$in{'notify_sect'}\">\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td valign=top>\n";

print_table_header($text{"group_notify_opt_sec"},"#notify_prop");

print "		<tr $section_row_bgcolor><td>\n";
print_opt_name($text{"group_notify_opt_subj"});
print "		</td><td align=left width=100%>\n";
$subject = $proscan_conf->{$gr_name}{$notify_sect}{'content'}{'Subject'};
print_editbox("n_subj",100,$subject);
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td>\n";
print_opt_name($text{"group_notify_opt_charset"});
print "		</td><td align=left>\n";
print_select("n_chrset", 1, \@charset_types, \@charset_types, 
		 $proscan_conf->{$gr_name}{$notify_sect}{'content'}{'Charset'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_notify_opt_type"});
print "		</td><td align=left>\n";
print_editbox("n_type",10,$proscan_conf->{$gr_name}{$notify_sect}{'content'}{'ContentType'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td>\n";
print_opt_name($text{"group_notify_opt_template"});
print "		</td><td align=left nowrap>\n";
print_editbox("n_templ",70,$proscan_conf->{$gr_name}{$notify_sect}{'content'}{'Template'});
print "&nbsp;",	&file_chooser_button("n_templ", 0), "&nbsp;";
print "		&nbsp;<input type=submit name=templ_edit value=Edit>\n";
print "		</td></tr>\n";

print_table_footer();

print "</td></tr>\n";
print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save>\n";
print "</form>\n";


print "<br>\n";
&footer("group_notify_list.cgi?grp_id=$gr_name", $text{'group_notify_return'});

