#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

$proscan_conf = get_config();

&header(text('group_notify_title',$gr_name), "");

print "<br>\n";
print "<form method=POST action=group_notify_edit.cgi>\n";
print "<input type=hidden name=grp_id value=\"$in{'grp_id'}\">\n";
print "<table vspace=2 border=0 cellpadding=0 cellspacing=0>\n";
print "	<tr><td>\n";

print "&nbsp;<SELECT size=9 name=notify_sect>\n";
print qq(	<OPTION value="$notify_section" selected>$text{"group_notify_default"});
&check_define($notify_section);
for ($i = 0; $i < @notify_user; $i++) {
    	$user = "$notify_user[$i]{'user'}";
    	$name = "$notify_user[$i]{'name'}";
    	$sect = "$notify_section.$user";
    	print qq(	<OPTION value="$sect">${name}$text{'group_notify_default'});
	&check_define($sect);
}
for ($i = 0; $i < @notify_type; $i++) {
    	$type = "$notify_type[$i]{'type'}";
    	$name = "$notify_type[$i]{'name'}";
    	$sect = "$notify_section.$type";
    	print qq(	<OPTION value="$sect">${name}$text{'group_notify_default'});
	&check_define($sect);
}
for ($i = 0; $i < @notify_user; $i++) {
    	$user = "$notify_user[$i]{'user'}";
    	$uname = "$notify_user[$i]{'name'}";
    	$usect = "$notify_section.$user";
    for ($j = 0; $j < @notify_type; $j++) {
    	$type = "$notify_type[$j]{'type'}";
    	$tname = "$notify_type[$j]{'name'}";
    	$sect = "$usect.$type";
    	print qq(	<OPTION value="$sect">${uname}($tname));
	&check_define($sect);
    }
}
print "</SELECT>\n";

print "	</td><td valign=bottom>&nbsp;<input type=submit value=Edit></td></tr>\n";
print "</table>\n";
print "</form>\n";

print "<br>\n";
&footer("group_index.cgi?grp_id=$gr_name", $text{'group_return'});

sub check_define {
	my($section) = @_;
	if( exists( $proscan_conf->{$gr_name}{$section} ) )
	{
		print "[+]\n";
	}else{
		print "\n";
	}
}
