#!/usr/bin/perl
# group_wbl_save.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();

if( !(exists($in{'grp_id'})&& $in{'grp_id'} ne "") ){
	&redirect("mailscan_grp_list.cgi");
}

$gr_name=$in{'grp_id'};

$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();

$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'order'}=$order unless $proscan_conf->{$gr_name}{'smtpscan.wbl'}{'order'};

$ip=$in{'accept_ip'};
$ip=get_textarea_list($ip,",");
$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'AcceptIP'}=$ip;

$name=$in{'accept_name'};
$name=get_textarea_list($name,",");
$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'AcceptName'}=$name;

$net=$in{'accept_net'};
$net=get_textarea_list($net,",");
$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'AcceptNet'}=$net;

$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'AcceptLevel'}=$in{'accept_level'};

$ip=$in{'reject_ip'};
$ip=get_textarea_list($ip,",");
$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'RejectIP'}=$ip;

$name=$in{'reject_name'};
$name=get_textarea_list($name,",");
$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'RejectName'}=$name;

$net=$in{'reject_net'};
$net=get_textarea_list($net,",");
$proscan_conf->{$gr_name}{'smtpscan.wbl'}{'content'}{'RejectNet'}=$net;

&put_config($proscan_conf);
&unlock_file($proscan_config_file);
&redirect("group_wbl_edit.cgi?grp_id=$in{'grp_id'}");
