#!/usr/bin/perl
# index.cgi
# Display a list of all ProScan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&header($text{'key_title'}, "");

&ReadParse();

$view_type = $in{'view_type'} ? int($in{'view_type'}) : 1;
$view_type = 4 if $in{'subbtn'} eq $text{'remove_addr'};

if (!-e $config{'licenser_path'} || !-x $config{'licenser_path'}) {
		print "<br><p>\n";
		print &text('component_list_ebin', "<tt>$text{'key_licenser_name'}</tt>",
			    "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
		print "<br>\n";
		&footer("", $text{'index_return'});
		exit;
}

print "<br>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td valign=top>\n";

print"<!-- view type: $view_type -->\n";

print "<form action=key_view.cgi style='margin-left:1em'>\n";

print $text{"key_show_str"},"\n";
print_select('view_type', 1, [1,2,3], [$text{"key_license_info"},$text{"key_domain_info"},$text{"key_user_info"}], $view_type);
print "&nbsp;&nbsp;\n";
print "<input name=subbtn type=submit value='$text{'key_view_show'}'>&nbsp;&nbsp;\n";

print $text{"remove_addr_str"};
print_editbox("addr",50,"");
print "<input name=subbtn type=submit value='$text{'remove_addr'}'><br>\n";

print "<hr>\n";


$bin=$config{'licenser_path'};

if($view_type==4) {
	$cmd_str = "$bin -R $in{'addr'} -c $config{'proscan_conf'}";
}elsif($view_type==3){
	$cmd_str = "$bin -u all -c $config{'proscan_conf'}";
}elsif($view_type==2){
	$cmd_str = "$bin -d all -c $config{'proscan_conf'}";
}else{
	$cmd_str = "$bin -s -c $config{'proscan_conf'}";
}

print "<!-- cmd: $cmd_str -->\n";

print "		<textarea rows=15 cols=60>\n";
open(READ, "$cmd_str |") or die "Can't run program: $!\n";
while($line=<READ>) {
print $line;
}
close(READ);
print "</textarea>\n";
print "</form></td></tr>\n";
print "</table>\n";
print "<br>\n";
&footer("", $text{'index_return'});

