#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();

if( exists($in{'gr_name'}) ){
	if( $in{'gr_name'} ne "" ){
		$gr_name=$in{'gr_name'};

		#default values for new group
		$proscan_conf->{$gr_name}{"smtpscan.group"}{'order'}=$order++;
		$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{"Check"}="yes";
		$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{"Domains"}="not define";
		#$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{"Senders"}="not define";
		#$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{"Recipients"}="not define";
		$proscan_conf->{$gr_name}{"smtpscan.group"}{'content'}{"AdminAddress"}="";
		$proscan_conf->{$gr_name}{"smtpscan.filter"}{'order'}=$order++;
		$proscan_conf->{$gr_name}{"smtpscan.filter"}{'content'}{"ByFilename"}="";
		$proscan_conf->{$gr_name}{"smtpscan.filter"}{'content'}{"ByMIMEtype"}="";
		$proscan_conf->{$gr_name}{"smtpscan.filter"}{'content'}{"BySize"}="";
		$proscan_conf->{$gr_name}{"smtpscan.filter"}{'content'}{"BySubject"}="";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'order'}=$order++;
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"Quarantine"}="No";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"QuarantinePath"}="";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"AdminNotify"}="Yes";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"SenderNotify"}="No";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"RecipientNotify"}="Yes";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"RecipientAttachReport"}="remove";
		$proscan_conf->{$gr_name}{"smtpscan.action"}{'content'}{"RecipientAction"}="discard";
		$proscan_conf->{$gr_name}{"smtpscan.notify"}{'order'}=$order++;
		if( -f "/etc/proscan/template/japanese/notify_sample" ) {
		    $proscan_conf->{$gr_name}{"smtpscan.notify"}{'content'}{"Template"}="/etc/proscan/template/japanese/notify_sample";
		} elsif( -f "/etc/opt/proscan/template/japanese/notify_sample" ) {
		    $proscan_conf->{$gr_name}{"smtpscan.notify"}{'content'}{"Template"}="/etc/opt/proscan/template/japanese/notify_sample";
		}
		$proscan_conf->{$gr_name}{"smtpscan.notify"}{'content'}{"ContentType"}="text/plain";
		$proscan_conf->{$gr_name}{"smtpscan.notify"}{'content'}{"Subject"}="Default subject. Notify from ProScan";
		$proscan_conf->{$gr_name}{"smtpscan.notify"}{'content'}{"Charset"}="iso-2022-jp";
		
		unshift(@group_list,$gr_name);
	}
}

&put_config($proscan_conf);
&unlock_file($proscan_config_file);

&redirect("mailscan_grp_list.cgi");

