#!/usr/bin/perl
# index.cgi
# Display a list of all Anti-Virus for Mailserver settings
require './proscan-lib.pl';
require './jcode.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();
$proscan_conf->{'common'}{'locale'}{"order"}=$order++ unless $proscan_conf->{'common'}{'locale'}{"order"};

jcode::convert(\$in{'l_pwd'},'euc');
jcode::convert(\$in{'l_sus'},'euc');
jcode::convert(\$in{'l_inf'},'euc');
jcode::convert(\$in{'l_err'},'euc');
jcode::convert(\$in{'l_oth'},'euc');
jcode::convert(\$in{'l_fil'},'euc');

$proscan_conf->{'common'}{'locale'}{"content"}{'ProtectedMessage'}=$in{'l_pwd'};
$proscan_conf->{'common'}{'locale'}{"content"}{'SuspiciousMessage'}=$in{'l_sus'};
$proscan_conf->{'common'}{'locale'}{"content"}{'InfectedMessage'}=$in{'l_inf'};
$proscan_conf->{'common'}{'locale'}{"content"}{'ErrorMessage'}=$in{'l_err'};
$proscan_conf->{'common'}{'locale'}{"content"}{'OtherMessage'}=$in{'l_oth'};
$proscan_conf->{'common'}{'locale'}{"content"}{'FilteredMessage'}=$in{'l_fil'};

&put_config($proscan_conf);
&unlock_file($proscan_config_file);
&redirect("mailscan_locale_edit.cgi");


