#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';


&header($text{'mailscan_misc_title'}, "");

$proscan_conf = get_config();

print "<br>\n";
print "<form method=POST action=mailscan_misc_save.cgi>\n";
print "<table border=0 width=100% cellpadding=0 cellspacing=0>\n";

print "<tr><td width=80% valign=top>\n";
print_table_header($text{"mailscan_gnrl_sec"},"#mailscan_core_gnrl");

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_fw_mailer"});
print "		</td><td width=100%>\n";
print_editbox("fwmailer",50,$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'ForwardMailer'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_from_addr"});
print "		</td><td width=100%>\n";
print_editbox("from_addr",50, $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'NotifyFromAddress'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_sv_addr"});
print "		</td><td width=100%>\n";
print_editbox("sv_addr",50, $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'SupervisorAddress'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_milter_socket"});
print "		</td><td width=100%>\n";
print_editbox("milter_socket",50, $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'LibmilterSocket'});
print "		</td></tr>\n";

&print_main_element($text{"mailscan_qmaillocal_check"}, "ql_check", $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'QmailLocalCheck'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_gateway_ip"});
print "		</td><td width=100%>\n";
print_editbox("gateway_ip",50, $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'GatewayIP'});
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "<tr><td width=80% valign=top><br>\n";
print_table_header($text{"mailscan_dha_sec"},"#mailscan_core_gnrl");

&print_main_element($text{"mailscan_dha_check"}, "dha_check", $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'DHACheck'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_dha_limit"});
print "		</td><td width=100%>\n";
print_editbox("dha_limit",5,$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'DHALimit'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_dha_action"});
print "		</td><td width=100%>\n";
@type_val = ("reject","discard","userunknown");
@type_txt = ("Reject","Discard","User Unknown");
print_select("dha_action", 1, \@type_val, \@type_txt, $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'DHAAction'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_rcpt_file"});
print "		</td><td width=100%>\n";
print_editbox("rcpt_file",50,$proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'RecipientsFile'});
print "		&nbsp;", &file_chooser_button("rcpt_file", 0);
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "<tr><td width=80% valign=top><br>\n";
print_table_header($text{"mailscan_lic_sec"},"#mailscan_license");

&print_main_element($text{"mailscan_domain_check"}, "dom_check", $proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'DomainCheck'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_lic_notify_addr"});
print "		</td><td width=100%>\n";
print_editbox("lwn_addr",50,$proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifyAddress'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_lic_warn_days"});
print "		</td><td width=100%>\n";
print_editbox("lwn_days",5, $proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifyDays'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_lic_warn_users"});
print "		</td><td width=100%>\n";
print_editbox("lwn_users",5, $proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifyUsers'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_lic_warn_sendtime"});
print "		</td><td width=100%>\n";
print_editbox("lwn_sendtime",5, $proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseWarningNotifySendTime'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_lic_cnt_type"});
print "		</td><td width=100%>\n";
@type_val = ("from","to");
@type_txt = ("From","To");
print_select("lic_cnt", 1, \@type_val, \@type_txt, $proscan_conf->{'common'}{'smtpscan.license'}{'content'}{'LicenseCountType'});
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "<tr><td width=80% valign=top><br>\n";
print_table_header($text{"mailscan_report_sec"},"#mailscan_core_report");

$log = $proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'ReportFileName'};
if ( $log eq "syslog" ) {
    $log = "";
    $syslog = 1;
} else {
    $syslog = 0;
}
print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_log_file"});
print "		</td><td width=100%>\n";
print_editbox("r_file",50,$log);
print "		&nbsp;", &file_chooser_button("r_file", 0);
print "		<br>\n";
print_checkbox("syslog", $syslog);
print_opt_name($text{"mailscan_log_syslog"});
print "&nbsp;Facility:";
print_editbox("facility",10,$proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'Facility'});
print "		Priority:";
print_editbox("priority",10,$proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'Priority'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_log_level"});
print "		</td><td width=100%>\n";
$level = $proscan_conf->{'common'}{'smtpscan.report'}{'content'}{'ReportLevel'};
#print "level=$level<br>\n";
print_bit_checkbox($text{"log_level_1"},"loglevel",$level,1);
print "<br>\n";
print_bit_checkbox($text{"log_level_2"},"loglevel",$level,2);
print "<br>\n";
print_bit_checkbox($text{"log_level_4"},"loglevel",$level,4);
print "<br>\n";
print_bit_checkbox($text{"log_level_8"},"loglevel",$level,8);
print "<br>\n";
print_bit_checkbox($text{"log_level_16"},"loglevel",$level,16);
print "<br>\n";
print_bit_checkbox($text{"log_level_32"},"loglevel",$level,32);
print "<br>\n";
print_bit_checkbox($text{"log_level_64"},"loglevel",$level,64);
print "<br>\n";
print_bit_checkbox($text{"log_level_256"},"loglevel",$level,256);
print "<br>\n";
print_bit_checkbox($text{"log_level_8192"},"loglevel",$level,8192);
print "<br>\n";
print "		</td></tr>\n";

print_table_footer();
print "</td></tr>\n";

print "<tr><td width=80% valign=top><br>\n";
print_table_header($text{"mailscan_limits_sec"},"#mailscan_core_lim");

&print_main_element($text{"mailscan_repair"}, "repair", $proscan_conf->{'common'}{'smtpscan.general'}{'content'}{'RepairFile'});

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_timeout"});
print "		</td><td width=100%>\n";
print_editbox("timeout",5, $proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'Timeout'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_limits_time"});
print "		</td><td width=100%>\n";
print_editbox("max_time",5, $proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxCheckTime'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_limits_rcpt"});
print "		</td><td width=100%>\n";
print_editbox("max_rcpt",5, $proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxRecipient'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_limits_connect"});
print "		</td><td width=100%>\n";
print_editbox("max_connect",5, $proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxConnectTime'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_limits_recursion"});
print "		</td><td width=100%>\n";
print_editbox("max_recursion",5, $proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxRecursion'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"mailscan_limits_size"});
print "		</td><td width=100%>\n";
print_editbox("max_size",15, $proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'MaxArchiveSize'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap>\n";
print_opt_name($text{"group_spam_check_time"});
print "		</td><td colspan=2>\n";
print_editbox("spam_check_time",10,$proscan_conf->{'common'}{"smtpscan.limits"}{'content'}{'SpamCheckTime'});
print "		</td></tr>\n";

print "		<tr $section_row_bgcolor><td nowrap valign=top>\n";
print_opt_name($text{"mailscan_limits_notsnd"});
print "		</td><td width=100%><textarea rows=4 cols=22 name=nnosnd>\n";
$nnosnd=$proscan_conf->{'common'}{'smtpscan.limits'}{'content'}{'NotSendNotifyTo'};
$nnosnd=~s/,/\n/g;
print $nnosnd;
print "</textarea></td></tr>\n";
print_table_footer();
print "</td></tr>\n";


print "</table>\n";
print "<br>\n";
print "<input type=submit value=Save>\n";
print "</form>\n";


print "<br>\n";
&footer("mail_scan_index.cgi", $text{'mailscan_return'});

sub print_main_element(){
	my($txt, $var, $val)=@_;
	print "		<tr $section_row_bgcolor><td>\n";
	print_opt_name($txt);
	print "		</td><td nowrap width=100%>\n";
	print_checkbox($var, $val);
	print "		</td></tr>\n";
}
