package mime;

@code64= ('A'..'Z', 'a'..'z', '0'..'9', '+','/');
grep ($bin64{$code64[$_]} = unpack('B6', pack ('C',$_*4)), 0..63);

sub decode64{
	local ($bits);

	grep ($bits .= $bin64{$_}, split(//,$_[0]));
	pack ('B'.(length ($bits) & ~7), $bits);
}

sub decode1522{
	local (*_) = @_;

	s/=\?ISO-2022-JP\?B\?([\w\+\/]+)=*\?=/&decode64($1)/ige;
	s/$re_jout$re_jin//og;
}

for(0..63){
	$code64{unpack('B6', pack('C', $_<<2))} = $code64[$_];
}

sub encode64{
	local ($pad) = (3-length($_[0]) %3) %3;
	local ($bits) = unpack ('B*', $_[0]);

	$bits .= '00'x$pad;
	$bits =~ s/....../$code64{$&}/ge;
	$bits . ('='x$pad);
}

$re_jin  = '\033\$[\@B]';
$re_jout = '\033\([BJ]';

sub encode1522{
	local(*_) = @_;

	s/$re_jin[!-~]*$re_jout/"=?ISO-2022-JP?B?" . &encode64($&) . "?="/oge;
	s/(\S)(=\?ISO)/$1$2/ig;
	s/(\?=)(\S)/$1$2/g;
}

1;
