#!/usr/bin/perl
# index.cgi
# Display a list of all Proscan Anti-Virus for Mailserver settings
require './proscan-lib.pl';

&ReadParse();
$proscan_config_file=$config{'proscan_conf'};
&lock_file($proscan_config_file);

$proscan_conf = get_config();
$proscan_conf->{'common'}{'updater.options'}{'order'} = $order++ unless $proscan_conf->{'common'}{'updater.options'}{'order'};
$proscan_conf->{'common'}{'updater.report'}{'order'} = $order unless $proscan_conf->{'common'}{'updater.report'}{'order'};

$proscan_conf->{'common'}{'updater.options'}{'content'}{'ExtraWgetOptions'}=$in{'u_extra'};
$urls = $in{'u_url'};
($prot,$host) = $urls =~ /([hf].*?):\/\/([^:]*)/;
($port) = $urls =~ /http:\/\/.*?:(\d*)/i;
@URL = split(/,/,$urls);
foreach $url (@URL) {
  ($p,$host) = $url =~ /([hf].*?):\/\/([^:]*)/;
  push(@HOST,$host);
}
$proscan_conf->{'common'}{'updater.options'}{'content'}{'UpdateHost'}=join(",",@HOST);
$proscan_conf->{'common'}{'updater.options'}{'content'}{'UpdateProtocol'}=$prot;
$proscan_conf->{'common'}{'updater.options'}{'content'}{'UpdatePort'}=$port;
$proscan_conf->{'common'}{'updater.options'}{'content'}{'HTTPProxyServer'}=$in{'u_proxy_server'};
$proscan_conf->{'common'}{'updater.options'}{'content'}{'HTTPProxyPort'}=$in{'u_proxy_port'};
$proscan_conf->{'common'}{'updater.options'}{'content'}{'KeepSilent'}=get_bool(\%in, "u_silent");
$proscan_conf->{'common'}{'updater.options'}{'content'}{'ReloadApplication'}=get_bool(\%in, "u_reload");
$proscan_conf->{'common'}{'updater.options'}{'content'}{'ShowExternalCmdOutput'}=get_bool(\%in, "u_external");
$proscan_conf->{'common'}{'updater.options'}{'content'}{'S25RWhiteListUrl'}=$in{'s25r_url'};

@multi = split(/\x00/,$in{'loglevel'});
$loglevel = 0;
foreach $l (@multi) {
    $loglevel += $l;
}

$proscan_conf->{'common'}{'updater.report'}{'content'}{'ReportFileName'}=$in{'r_file'};
$proscan_conf->{'common'}{'updater.report'}{'content'}{'ReportLevel'}=$loglevel;


&put_config($proscan_conf);
&unlock_file($proscan_config_file);
&redirect("updater_edit.cgi");


